{% extends "lab_9/layout/base.html" %}

{% block header %}
<div class="navbar navbar-default navbar-fixed-top" role="navigation">
    <div class="container"> 
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span> 
            </button>
            <a target="_blank" href="{% url 'lab-9:index' %}" class="navbar-brand">Cansky</a>
        </div>
    </div>
</div>
{% endblock%}

{% block content %}
<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="rata-tengah">
            <div class="judul">
                <h1> Login menggunakan COOKIES </h1>
                <p class="text-danger"> Jangan menggunakan <b> akun SSO asli </b> </p>
                <p class="text-danger"> karena Username dan password akan disimpan di dalam cookie </p>
            </div>
            <form action="{% url 'lab-9:cookie_auth_login' %}" method="POST">
                {% csrf_token %}
                <p>
                    <label for="username"> Your username* </label>
                    <input type="text" id="username" name="username" required>
                </p>
                <p>
                    <label for="password"> Your password* </label>
                    <input type="password" id="password" name="password" required>
                </p>
                <input type="submit" class="btn btn-primary">
            </form>
        </div>
    </div>
</div>
{% endblock %}
